﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingUser", Operations.Delete);
}
@section Scripts{
    <script src="/controller/container/container.js" asp-append-version="true"></script>
}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                            <li class="breadcrumb-item active">Thêm mới</li>
                        </ol>
                    </div>
                    <h4 class="page-title">CONTAINER</h4>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @{
                        if (resultCreate.Succeeded)
                        {
                            <a id="submit-create" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                            <a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                            <a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        }
                    }
                    <a href="/cpanel/container/index" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">

                    <h4 class="header-title">Thông tin container</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông tin container
                    </p>
                    <form class="needs-validation" id="frm" novalidate>
                        <div class="mb-3">
                            <label for="txtCode" class="form-label">Mã Container</label>
                            <input type="text" id="txtCode" name="txtCode" class="form-control" placeholder="Mã Container" required>
                            <input type="hidden" id="txtId" name="txtId" class="form-control">
                        </div>

                        <div class="mb-3">
                            <label for="txtName" class="form-label">Tên Container</label>
                            <input type="text" id="txtName" name="txtName" class="form-control" placeholder="Tên container" required>
                        </div>

                        <div class=" mb-3">
                            <div class="form-check">
                                <input type="checkbox" class="form-check-input" checked="checked" id="chkActive">
                                <label class="form-check-label" for="chkActive">Hoạt động / Khóa</label>
                            </div>
                        </div>
                    </form>

                </div> <!-- end card-body -->
            </div> <!-- end card -->
        </div> <!-- end col -->



    </div>
</div>







